MMBase XSS vuln.

2005-12-19T00:00:00
ID SECURITYVULNS:DOC:10723
Type securityvulns
Reporter Securityvulns
Modified 2005-12-19T00:00:00

Description

MMBase XSS vuln.

Vuln. discovered by : r0t Date: 19 dec. 2005 orginal advisory:http://pridels.blogspot.com/2005/12/mmbase-xss-vuln.html vendor:http://www.mmbase.org/ affected version: 1.7.4 and prior

Product Description:

Open source object oriented Java based enterprise content management system. Platform independent, all major operating systems (Windows, Unix, Linux), databases (Oracle, DB2, Informix, MSSQL, MySQL, PostgreSQL) servlet containers (Tomcat, Orion, and J2EE application servers like JBoss, Jonas, IBM Websphere, BEA weblogic).

Vuln. Description:

MMBase contains a flaw that allows a remote cross site scripting attack. This flaw exists because input passed to search module paremters isn't properly sanitised before being returned to the user. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Solution: Edit the source code to ensure that input is properly sanitised.